org.apache.cassandra.transport

## Class OptionCodec<T extends java.lang.Enum<T> & OptionCodec.Codecable<T>>

- java.lang.Object
- - org.apache.cassandra.transport.OptionCodec<T>

    public class OptionCodec<T extends java.lang.Enum<T> & OptionCodec.Codecable<T>>
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `OptionCodec.Codecable<T extends java.lang.Enum<T>>`

### Constructor Summary

Constructors
Constructor and Description
`OptionCodec(java.lang.Class<T> klass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<T,java.lang.Object>` `decode(io.netty.buffer.ByteBuf body, int version)`
`Pair<T,java.lang.Object>` `decodeOne(io.netty.buffer.ByteBuf body, int version)`
`io.netty.buffer.ByteBuf` `encode(java.util.Map<T,java.lang.Object> options, int version)`
`int` `oneSerializedSize(Pair<T,java.lang.Object> option, int version)`
`void` `writeOne(Pair<T,java.lang.Object> option, io.netty.buffer.ByteBuf dest, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionCodec

    public OptionCodec(java.lang.Class<T> klass)

### Method Detail

#### decode

    public java.util.Map<T,java.lang.Object> decode(io.netty.buffer.ByteBuf body,
                                                    int version)

#### encode

    public io.netty.buffer.ByteBuf encode(java.util.Map<T,java.lang.Object> options,
                                          int version)

#### decodeOne

    public Pair<T,java.lang.Object> decodeOne(io.netty.buffer.ByteBuf body,
                                              int version)

#### writeOne

    public void writeOne(Pair<T,java.lang.Object> option,
                         io.netty.buffer.ByteBuf dest,
                         int version)

#### oneSerializedSize

    public int oneSerializedSize(Pair<T,java.lang.Object> option,
                                 int version)